<
From version < 7.4 >
edited by Vincent Massol
on 2010/03/05
To version < 9.1 >
edited by Caleb James DeLisle
on 2010/12/06
>
Change comment: added note about using MyISAM and moved that and warning about mysql4 up to "compatability" section.

Summary

Details

Page properties
Author
... ... @@ -1,1 +1,1 @@
1 -XWiki.VincentMassol
1 +XWiki.Caleb_James_DeLisle
Content
... ... @@ -1,14 +1,18 @@
1 1  {{box cssClass="floatinginfobox" title="**Contents**"}}{{toc/}}{{/box}}
2 2  
3 += Compatibility Considerations =
4 +== MyISAM storage engine ==
5 +MyISAM (the default storage engine for MySQL) does not support transactions. If there is an error while data is being saved to the database, XWiki will attempt to rollback the transaction to it's previous known good state. If you use MyISAM it will do nothing, leaving the database in whatever state it was in when the error occurred.
6 +**If you use MySQL with default engine MyISAM, you will most likely corrupt your database.** We highly recommend using a storage engine such as InnoDB which supports transactions.
7 +
8 +== MySQL versions older than 5.0 ==
9 +XWiki does not fully work with MySQL versions 4.x or lower, due to several limitations of the way the SQL standards are implemented in MySQL, limited support for non-latin1 encodings, the flaky integration of Hibernate and MySQL 4, and other things. Most of the application works fine, but there are some parts that cannot easily be fixed, so if you must use MySQL 4.x, you're doing it on your own. Seriously, MySQL 4 is pretty old and buggy, you should consider upgrading.
10 +
3 3  = Installation Steps =
4 4  
5 5  Follow these instructions:
6 6  
7 -* Download and install [[MySQL>>http://www.mysql.com/]] 5.X or greater.(((
8 -{{warning}}
9 -XWiki does not fully work with MySQL versions 4.x or lower, due to several limitations of the way the SQL standards are implemented in MySQL, limited support for non-latin1 encodings, the flaky integration of Hibernate and MySQL 4, and other things. Most of the application works fine, but there are some parts that cannot easily be fixed, so if you must use MySQL 4.x, you're doing it on your own. Seriously, MySQL 4 is pretty old and buggy, you should consider upgrading.
10 -{{/warning}}
11 -)))
15 +* Download and install [[MySQL>>http://www.mysql.com/]] 5.X or greater.
12 12  * Start the MySQL server. You can do that in several ways. For example:(((
13 13  {{code language="none"}}
14 14  mysqld --console
... ... @@ -16,7 +16,7 @@
16 16  )))
17 17  * Create the wiki database. You can do that in several ways. For example:(((
18 18  {{code language="none"}}
19 -mysql -u root -e "create database xwiki"
23 +mysql -u root -e "create database xwiki default character set utf8"
20 20  {{/code}}
21 21  )))
22 22  * Give all privileges to the xwiki user for accessing the xwiki database. You can do that in several ways. For example (if you get connections problems try localhost instead of the IP address below):(((

Get Connected